package com.yutou.tools.mybatis.dao;

import com.yutou.tools.mybatis.model.MusicFavorites;
import com.yutou.tools.mybatis.model.MusicFavoritesExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface MusicFavoritesDao {
    long countByExample(MusicFavoritesExample example);

    int deleteByExample(MusicFavoritesExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(MusicFavorites record);

    int insertSelective(MusicFavorites record);

    List<MusicFavorites> selectByExample(MusicFavoritesExample example);

    MusicFavorites selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") MusicFavorites record, @Param("example") MusicFavoritesExample example);

    int updateByExample(@Param("record") MusicFavorites record, @Param("example") MusicFavoritesExample example);

    int updateByPrimaryKeySelective(MusicFavorites record);

    int updateByPrimaryKey(MusicFavorites record);
}